cmake_minimum_required(VERSION 3.16)

project(trans_util LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)

if (MSVC)
    add_compile_options(/source-charset:utf-8)
endif()

set(SOURCES util.h util.cpp)
add_library(trans_util STATIC ${SOURCES})
target_link_libraries(trans_util PUBLIC ofen)
target_include_directories(trans_util PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})